# Changelog
All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [Unreleased]

### Added 
- None.

### Changed
- None.

### Fixed
- None.

### Deprecated
- None.

### Removed
- None.

### Security
- None.

## [8.14.0] - 2024-10-09

### Added 
- `shouldRequestPermissionsAtStartup` method has been added.
- `threshold` parameter to `getCurrentLocation` to define how close a POI should be to relate the location to the POI.
- Ability to initialize the SDK without content files
- Android: Exit button events handler that terminates the activity once clicked.

### Changed
- iOS does not ask for permissions as soon as SDK is started.
- `getCurrentLocation` picks the closest poi even if poi type is not defined based on: 
  - Location is inside a poi that has polygon type geometry, or
  - Location is closer than 5 m to a poi that has polygon type geometry.
- Android: Pointr Gradle dependency to use 8+, which will allow the plugin to always use the latest SDK.

### Fixed
- None.

### Deprecated
- `initialize` method has been deprecated. Use `initializeWithoutContent` method instead.

### Removed
- Resource and framework additions from plugin.xml.

### Security
- None.

## [8.10.0] - 2023-12-12

### Added
- None.

### Changed
- Android: Removed `printStackTrace` calls for expected exceptions. [SDK-4972]

### Fixed
- iOS: Bluedot not not visible on the map.
- iOS: Cancel button does not have text during navigation.

### Deprecated
- None.

### Removed
- None.

### Security
- None.
 
## [8.2.1] - 2023-01-05

### Added
- Android is made to use latest Mobile SDK version 8.

### Changed
- iOS: Location is directly passed if poi type to be queried is not provided for `getCurrentLocation`. [SDK-4719]

### Fixed
- None.

### Deprecated
- None.

### Removed
- None.

### Security
- None.

## [8.1.2] - 2022-11-23

### Added
- None.

### Changed
- None.

### Fixed
- Android: Add check and warning when sites cannot be loaded during allocated time.

### Deprecated
- None.

### Removed
- None.

### Security
- None.

## [8.1.1] - 2022-11-16

### Added
- None.

### Changed
- iOS: Logs are improved including Mobile SDK version at initialization.
- iOS: Using `UserInterfaceConfiguration.shouldFocusOnFirstUserLocation` to avoid focus on location when first detected instead of overriding handlers.
- SDK version upgrade to 8.1.1.

### Fixed
- iOS: Tracking mode button related issues.

### Deprecated
- None.

### Removed
- None.

### Security
- None.

## [8.0.3] - 2022-11-04

### Added
- Added formatted date and time to plugin related logs.
- Added annotations to start and destination pois on `showPathfindingBetweenPois`.

### Changed
- iOS: Start listening position updates as soon SDK starts.
- `getCurrentLocation` can return any location. Previously it was only returning locations if they are within a site.
- Sync Location json signature on both Android and iOS to use external ids for building & site. This location json is used in all plugin methods that require location. i.e. getCurrentLocation(): Location - showPathfindingToLocation(destinationLocationJson: Location)

### Fixed
- None.

### Deprecated
- None.

### Removed
- None.

### Security
- None.

[Unreleased]: https://github.com/pointrlabs/cordova-plugin-pointr/compare/a84898b...HEAD
